Invite someone to this company (sends the invitation email)
POST
/v1/workspace/team/invitations
const url = 'https://api.vocapable.com/v1/workspace/team/invitations';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"full_name":"example","email":"example","role":"rep"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/team/invitations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "full_name": "example", "email": "example", "role": "rep" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspaceInvitationCreate
object
full_name
required
Full Name
string
email
required
Email
string
role
required
Role
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceInvitation
object
Example
{ "role": "rep", "status": "pending", "delivery": "sent"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}